Groovy 1.7.0

## org.codehaus.groovy.runtime
Class DefaultMethodKey

    java.lang.Object
      org.codehaus.groovy.runtime.MethodKey
          org.codehaus.groovy.runtime.DefaultMethodKey

    class DefaultMethodKey
    extends MethodKey

A default implementation of MethodKey

author:
  James Strachan

version:
  $Revision: 8106 $

Constructor Summary
`DefaultMethodKey(Class sender, String name, Class[] parameterTypes, boolean isCallToSuper)`

Method Summary
`int` | `getParameterCount()`
`Class` | `getParameterType(int index)`

Methods inherited from class MethodKey
createCopy, createHashCode, equals, equals, getName, getParameterCount, getParameterType, getParamterTypes, hashCode, toString

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### DefaultMethodKey

    public DefaultMethodKey(Class sender, String name, Class[] parameterTypes, boolean isCallToSuper)

Method Detail

### getParameterCount

    public int getParameterCount()

### getParameterType

    public Class getParameterType(int index)

Copyright © 2003-2009 The Codehaus. All rights reserved.